
From: William Lee Irwin III <wli@holomorphy.com>

The stack is now shared with struct thread_info on most arches, not task_t. 
This mostly affects get_wchan() and stack usage debug.


---

 25-akpm/arch/h8300/kernel/process.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/h8300/kernel/process.c~h8300-stack-bounds-checking arch/h8300/kernel/process.c
--- 25/arch/h8300/kernel/process.c~h8300-stack-bounds-checking	2004-04-17 01:11:49.665576600 -0700
+++ 25-akpm/arch/h8300/kernel/process.c	2004-04-17 01:11:49.668576144 -0700
@@ -277,7 +277,7 @@ unsigned long get_wchan(struct task_stru
 	stack_page = (unsigned long)p;
 	fp = ((struct pt_regs *)p->thread.ksp)->er6;
 	do {
-		if (fp < stack_page+sizeof(struct task_struct) ||
+		if (fp < stack_page+sizeof(struct thread_info) ||
 		    fp >= 8184+stack_page)
 			return 0;
 		pc = ((unsigned long *)fp)[1];

_
